package com.ruoyi.demo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.PlanItem;
import com.ruoyi.demo.entity.bo.PlanItemBo;
import com.ruoyi.demo.entity.vo.EquipmentVo;
import com.ruoyi.demo.entity.vo.PlanItemVo;

import java.util.HashMap;
import java.util.List;

public interface EquipmentService {
    void addEquipment(EquipmentVo equipmentVo);

    void updateEquipment(EquipmentVo equipmentVo);

    Equipment getEquipment(String equipmentId);

    void deleteEquipment(String[] equipmentIds);

    Page<Equipment> getEquipmentBySelect(EquipmentVo equipmentVo);

    void addStoreEquipment(EquipmentVo equipmentVo);

    Page<Equipment> getEquipmentByStoreId(EquipmentVo equipmentVo);

    IPage<PlanItemBo> getEuipmentPlanList(EquipmentVo equipmentVo);

    void updateEuipmentPlan(PlanItemVo planItemVo);

    int getEquipmentCount();

    HashMap getEquipmentList(EquipmentVo equipmentVo);

    void deleteStoreEquipment(String[] equipmentIds);
}
